summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/gdr-merge-conflicts43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/tests/gdr-merge-conflicts b/tests/tests/gdr-merge-conflicts
new file mode 100755
index 0000000..afdd014
--- /dev/null
+++ b/tests/tests/gdr-merge-conflicts
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e
+autoimport=
+. tests/lib
+
+t-dependencies NO-DGIT GDR
+
+t-tstunt-parsechangelog
+t-setup-import gdr-convert-gbp-noarchive
+
+: 'do a simple test'
+
+cd $p
+
+t-gdr-prep-new-upstream 2.1
+git tag v2.1 upstream
+
+t-some-changes before
+t-git-debrebase quick
+
+git checkout -b other
+t-some-changes other '' -other
+
+git checkout other
+echo other-upstream-confict >>docs/README
+git commit -m 'other-upstream-conflict' docs/README
+
+t-git-debrebase quick
+
+git checkout master
+t-git-debrebase new-upstream 2.1
+
+t-merge-conflicted-stripping-conflict-markers other docs/README
+
+export GIT_DEBREBASE_EXPERIMENTAL_MERGE=1
+
+t-expect-fail F:'docs/README' \
+t-git-debrebase
+
+# xxx want to test a nomerge from first walk analysis half
+# xxx want to check wrecknotes appear
+
+t-ok